diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 302fe45..375b0b6 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -420,10 +420,10 @@ define('pgadmin.node.server', [
                   return {
                     buttons: [{
                       text: gettext('Ok'), key: 13, className: 'btn btn-primary',
-                      attrs:{name:'submit'},
+                      attrs: {name:'submit'},
                     },{
-                      text: gettext('Cancel'), key: 27, className: 'btn btn-danger',
-                      attrs:{name:'cancel'},
+                      text: gettext('Cancel'), key: 27,
+                      className: 'btn btn-danger', attrs: {name: 'cancel'},
                     }],
                     // Set options for dialog
                     options: {
@@ -1046,6 +1046,7 @@ define('pgadmin.node.server', [
                   text: gettext('OK'), key: 13, className: 'btn btn-primary',
                 },{
                   text: gettext('Cancel'), className: 'btn btn-danger',
+                  key: 27,
                 }],
                 focus: {element: '#password', select: true},
                 options: {
diff --git a/web/pgadmin/browser/static/js/error.js b/web/pgadmin/browser/static/js/error.js
index 6066ff0..31b7444 100644
--- a/web/pgadmin/browser/static/js/error.js
+++ b/web/pgadmin/browser/static/js/error.js
@@ -37,7 +37,7 @@ function(gettext, _, alertify, pgAdmin) {
       alertify.alert(
         title,
         text
-      );
+      ).set('closable', true);
     },
   });
 
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 0d754ce..cf2dd16 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -21,9 +21,10 @@ define([
       setup: function() {
         return {
           options: {
-            //disable both padding and overflow control.
+            // Disable both padding and overflow control.
             padding: !1,
             overflow: !1,
+            closable: true,
           },
         };
       },
@@ -127,13 +128,15 @@ define([
             return;
           }
         } catch (e) {
-          alertify.alert().show().set('message', e.message).set('title', 'Error');
+          alertify.alert().show().set('message', e.message).set(
+            'title', 'Error'
+          ).set('closable', true);
         }
       }
     }
     alertify.alert().show().set(
       'message', msg.replace(new RegExp(/\r?\n/, 'g'), '<br />')
-    ).set('title', promptmsg);
+    ).set('title', promptmsg).set('closable', true);
   };
 
   var alertifyDialogResized = function(stop) {
diff --git a/web/pgadmin/tools/datagrid/static/js/datagrid.js b/web/pgadmin/tools/datagrid/static/js/datagrid.js
index 473f20a..b0ed60f 100644
--- a/web/pgadmin/tools/datagrid/static/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/static/js/datagrid.js
@@ -286,10 +286,12 @@ define('pgadmin.datagrid', [
                 return {
                   buttons:[{
                     text: gettext('OK'),
+                    key: 13,
                     className: 'btn btn-primary',
                   },
                   {
                     text: gettext('Cancel'),
+                    key: 27,
                     className: 'btn btn-danger',
                   },
                   ],
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 49e41b3..f95389c 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1749,6 +1749,7 @@ define('tools.querytool', [
                     },
                     {
                       text: gettext('Cancel'),
+                      key: 27,
                       className: 'btn btn-danger',
                     },
                   ],
